Bug 1566251 - Please Add freerdp 2.0.0 to EPEL7
Summary: Please Add freerdp 2.0.0 to EPEL7
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: freerdp
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Michael DePaulo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-11 20:42 UTC by Rafael
Modified: 2019-09-17 04:56 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-16 11:38:43 UTC


Attachments (Terms of Use)

Description Rafael 2018-04-11 20:42:07 UTC
freerdp 2.0.0 won't be making it into RHEL7 until at least 7.7 (https://bugzilla.redhat.com/show_bug.cgi?id=1291254). However, adding the release candidates to EPEL will allow for Remmina 1.2 to be added to EPEL7.

Comment 1 Jason Tibbitts 2018-04-11 22:42:17 UTC
But since freerdp is in RHEL, it can't be in EPEL.  Someone would have to make a separate, non-conflicting freerdp2 package and add that to EPEL.  And then anything which would need to use it would have to be patched to use the other location.

Technically this wouldn't be difficult, as a freerdp1.2 package already exists, but it may be a bit much to ask the freerdp package maintainers to do.  Note that it _must_ be a separate source package, as EPEL does not permit even the source package names to conflict.

Comment 2 Ondrej Holy 2018-05-29 11:42:09 UTC
It should not be a problem to create freerdp2 package only for EPEL. See the following discussion:
https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/5I7AAYDBVGFMYPSZZMECXSDHK6SSB3GF

It seems that freerdp is maintained by Simone Caronni these days. Would you be willing to maintain also EPEL version, please?

Comment 3 Michael DePaulo 2018-07-10 22:44:30 UTC
I will try to create a non-conflicting freerdp2 package over the next few weeks.

I am not sure what to name the binaries though. I don't think I can use the alternatives (8) system without modifying the freerdp package also. I could use names like `xfreerdp2` and `wfreerdp2`.

I currently have a conflicting freerdp package here:
https://copr.fedorainfracloud.org/coprs/mikedep333/freerdp-backport/

Comment 4 Michael DePaulo 2018-08-04 04:58:38 UTC
FYI: Using the Remmina flatpak from flathub is a way to get Remmina with libfreerdp 2 on RHEL7. It is working well for us based on initial testing. It does not bundle xfreerdp or wlfreerdp, just the library.
https://flathub.org/apps/details/org.remmina.Remmina

Comment 5 A. Fernando 2019-09-16 07:20:27 UTC
I am still seeing pkg conflicts when I try to update freerdp-1.0.2-15.el7.x86_64 on RHEL 7.6
e.g. Error: Package: freerdp-2.0.0-1.rc4.el7.x86_64 (/freerdp-2.0.0-1.rc4.el7.x86_64)
           Requires: libfreerdp2.so.2()(64bit)

Comment 6 Simone Caronni 2019-09-16 11:36:43 UTC
(In reply to A. Fernando from comment #5)
> I am still seeing pkg conflicts when I try to update
> freerdp-1.0.2-15.el7.x86_64 on RHEL 7.6

Remmina for EPEL 7 requires FreeRDP 2.0 that is part of RHEL/CentOS 7.7, might it be that you have something else requiring the freerd-libs 1.x package and so preventing an update of freerdp?

> e.g. Error: Package: freerdp-2.0.0-1.rc4.el7.x86_64
> (/freerdp-2.0.0-1.rc4.el7.x86_64)
>            Requires: libfreerdp2.so.2()(64bit)

This is provided by freerdp-libs, which is part of the base package set from RHEL/CentOS 7.7.

Comment 7 Simone Caronni 2019-09-16 11:38:43 UTC
Btw, I think this bug can be closed as FreeRDP 2.0 is now part of the base set of packages and is not needed in EPEL.

Comment 8 A. Fernando 2019-09-16 14:33:41 UTC
Thanks for the clarification. 
Since it is available from RHEL 7 repo and also the pkg states specifically "el7" (freerdp-1.0.2-15.el7.x86_64) I thought it can be installed on any of the RHEL 7* distributions.

My attempt was to install the latest freerdp to address a bug in the current ver, which causes x-server to crash.
I would like to try Remina.

Comment 9 Simone Caronni 2019-09-17 04:56:02 UTC
CentOS 7.7 is about to be released, if you enable the cr repository you will get it already. In there, freerdp 2.x replaces freerdp 1.x, which is a requirement for Remmina from epel.


Note You need to log in before you can comment on or make changes to this bug.